<MyMPConfig xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <!-- Global information for this movie provider -->
  <Name>Filmaffinity.com - 2</Name>
  <HomePage>www.filmaffinity.com</HomePage>
  <Language>Spanish</Language>
  <Author>punxsu (revised by ahhahh/joma)</Author>
  <Version>1.4</Version>
  <!-- Indicates support for data retrieval -->
  <SupportsCastAndDirector>true</SupportsCastAndDirector>
  <SupportsCover>true</SupportsCover>
  <SupportsPlot>true</SupportsPlot>
  <SupportsRating>true</SupportsRating>
  <!-- List of urls to search for movie (you can set only one or add as many as you want) -->
  <!-- Enabled = true or false (allow to temporarely disable an url without remove from configuration file) -->
  <!-- Url = {0} will be replaced by the title of the movie  -->
  <!-- RegExp = regular expression used to parse result list, should return 'link' and 'title' within one regexp -->
  <!-- MoviePlotLink = will try to get plot of the movie from those urls (in that particular order), and will stop as soon as it gets one -->
  <!--                 should at least contains one value. -->
  <!-- MaxResult = will stop movie retrieval with this url after it finds this number of movie -->
  <!-- NextPage = reserved (leave empty for now) -->
  <SearchUrls>
    
    <Search>
      <Enabled>true</Enabled>
      <Url>http://www.filmaffinity.com/es/search.php?stext={0}&amp;stype=title</Url>
      <RegExp>mc-title"&gt;&lt;a\shref="(?&lt;Link&gt;/es/film[^"]*?)"&gt;(?&lt;Title&gt;.*?)&lt;/</RegExp>
      <MoviePlotLink>
        <string>http://www.filmaffinity.com{0}</string>
      </MoviePlotLink>
      <MaxResult>50</MaxResult>
      <NextPage></NextPage>
    </Search>



  </SearchUrls>


  <!-- MaxResult = global limitation for number of movie results -->
  <MaxResult>20</MaxResult>
  <!-- Regular expressions to find Title, Original Title, Year and Runtime -->
  <RegExp_Title>main-title"&gt;&lt;a\shref=".*"&gt;(?&lt;1&gt;.*)&lt;/span&gt;&lt;/a&gt;</RegExp_Title>
  <RegExp_OriginalTitle>&lt;dt&gt;T&amp;iacute;tulo\soriginal&lt;/dt&gt;[\s]*&lt;dd&gt;(?&lt;1&gt;.*?)&lt;/dd&gt;</RegExp_OriginalTitle>
  <RegExp_Year>dt&gt;A&amp;ntilde;o&lt;/dt&gt;\s*&lt;dd&gt;(?&lt;1&gt;[0-9]+?)\s*&lt;/dd&gt;</RegExp_Year>
  <RegExp_Runtime>&lt;dt&gt;Duraci&amp;oacute;n&lt;/dt&gt;\s*&lt;dd&gt;(?&lt;1&gt;\d+?)&amp;nbsp;min.</RegExp_Runtime>


<!-- Regular expressions to look for plot -->
  <!-- options allow to remove specials characters before using regexp -->
  <ReplaceLFbySpaceBeforeRegExpPlot>true</ReplaceLFbySpaceBeforeRegExpPlot>
  <ReplaceCRbySpaceBeforeRegExpPlot>true</ReplaceCRbySpaceBeforeRegExpPlot>
  <ReplaceTBbySpaceBeforeRegExpPlot>false</ReplaceTBbySpaceBeforeRegExpPlot>
  <RegExp_Plot>&lt;dt&gt;Sinopsis&lt;/dt&gt;\s*&lt;dd&gt;(?&lt;1&gt;.*)\(FILM.*\)</RegExp_Plot>


  <!-- Regular expressions to look for genres, directors and actors -->
  <RegExp_Genres>&lt;a\shref=".*?/es/movie(genre|topic)\.php[\w|&amp;|=|?|-]*"&gt;(?&lt;1&gt;.*?)&lt;/a&gt;</RegExp_Genres>
  <Directors_MultipleMatches>true</Directors_MultipleMatches>
  <RegExp_Directors>&lt;a\shref=".*?search\.php\?stype=director&amp;stext=[\w|"|+|%|\.|-]*&gt; *(?&lt;1&gt;.*?)&lt;/a&gt;</RegExp_Directors>
  <Actors_MultipleMatches>true</Actors_MultipleMatches>
  <RegExp_Actors>&lt;a\shref=".*?search\.php\?stype=cast&amp;stext=[\w|"|+|%|\.]*&gt; *(?&lt;1&gt;.*?)&lt;/a&gt;</RegExp_Actors>
  <Countries_MultipleMatches>false</Countries_MultipleMatches>
  <RegExp_Countries>&lt;dt&gt;Pa&amp;iacute;s&lt;/dt&gt;[\w|\s|&lt;|&gt;|/|=|"|:|;|_|\-|\.|?|%]*title="(?&lt;1&gt;.+?)"</RegExp_Countries>
  <!-- Regular expressions to look for cover -->
  <!-- RegExp_CoverLinkFront = regexp used on movie page -->
  <!-- RegExp_CoverUrl = used to look for a "galery" url on movie page -->
  <!-- RegExp_HowGotoCoverUrl = regexp to construct and follow "galery" link -->
  <!-- RegExp_CoverLinkFront2 = regexp to extract cover link from "galery" page -->
  <RegExp_CoverLinkFront>(?:(?&lt;1&gt;http://pics.filmaffinity.com/[^"]+large\.jpg)")</RegExp_CoverLinkFront>


  <!-- Regular expressions to look for cover -->
  <!-- RegExp_CoverLinkFront = regexp used on movie page -->
  <!-- RegExp_CoverUrl = used to look for a "galery" url on movie page -->
  <!-- RegExp_HowGotoCoverUrl = regexp to construct and follow "galery" link -->
  <!-- RegExp_CoverLinkFront2 = regexp to extract cover link from "galery" page -->
  <RegExp_CoverLinkFront>imagen"&gt;(?:[\s|\t|\n|\r|\v|\f]*?)&lt;img\ssrc="(?&lt;1&gt;.*?)"</RegExp_CoverLinkFront>
  <RegExp_CoverUrl>ampliar"&gt;&lt;a\shref="(?&lt;1&gt;/cartel/.*?)"\starget</RegExp_CoverUrl>
  <RegExp_HowGotoCoverUrl>http://alpacine.com{0}</RegExp_HowGotoCoverUrl>
  <RegExp_CoverLinkFront2>imagen"\ssrc="(?&lt;1&gt;.*?)"</RegExp_CoverLinkFront2>


  <!-- Regular expressions to find Rating, it stops after it finds one non empty result (done in that order) -->
  <RegExp_Rating>
    <string>font-weight: bold;\"&gt;(?&lt;1&gt;[^&lt;]+?)&lt;/td&gt;[\w|\s|&lt;|&gt;|/|"|=]*&lt;img src=\"http://www\.filmaffinity\.com/imgs/ratings</string>
  </RegExp_Rating>
  <!-- Encoding used to send Title, and to read HTML pages -->
  <RatingRate>1</RatingRate>
  <TitleEncoding>Default</TitleEncoding>
  <ContentEncoding>Default</ContentEncoding>
</MyMPConfig>